<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Service;

class ServiceSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $service = Service::create([
            'type' => 1,
            'name' => 'startUp',
            'price'=> '1000000',
            'work' => '7',
            'data' => json_encode([
                "data-1"=>[
                    "name"=>"Лицензионный договор"
                ],
                "data-2"=>[
                    "name"=>"3 положения"
                ],
                "data-3"=>[
                    "name"=>"Продвижение франшизы",
                    "sub_data"=>["Гайд-бук по продвижению франшизы","Домен","Landing Page по продаже франшиз","Презентация франшизы","3 поста инстаграм"]
                ],
                "data-4"=>[
                    "name"=>"Финансовая стратегия",
                    "sub_data"=>["Финансовый план","Резюме к финансовому плану"]
                ],
                "data-5"=>[
                    "name"=>"Технический регламент запуска франшизы"
                ],
                "data-6"=>[
                    "name"=>"Бизнес концепт"
                ]
            ]),
        ]);


        $service = Service::create([
            'type' => 2,
            'name' => 'scaleFORCE',
            'price'=> '3500000',
            'work' => '20',
            "data"=>json_encode([
                "data-1"=>[
                    "name"=>"Лицензионный договор"
                ],
                "data-2"=>[
                    "name"=>"3 положения"
                ],
                "data-3"=>[
                    "name"=>"Патент на защиту франшизы"
                ],
                "data-4"=>[
                    "name"=>"Регистрация товарного знака"
                ],
                "data-5"=>[
                    "name"=>"Регистрация авторских прав на методику"
                ],
                "data-6"=>[
                    "name"=>"Продвижение франшизы",
                    "sub_data"=>["Гайд-бук по продвижению франшизы","Домен","Landing Page по продаже франшиз","Презентация франшизы","3 поста инстаграм"]
                ],
                "data-7"=>[
                    "name"=>"Брендинг",
                    "sub_data"=>["Бренд-бук","Бренч-бук","Мерч-бук"]
                ],
                "data-8"=>[
                    "name"=>"Финансовая стратегия",
                    "sub_data"=>["Финансовый план","Резюме к финансовому плану"]
                ],
                "data-9"=>[
                    "name"=>"Оценка бизнеса"
                ],
                "data-10"=>[
                    "name"=>"Калькулятор франшизы"
                ],
                "data-11"=>[
                    "name"=>"Технический регламент запуска франшизы"
                ],
                "data-12"=>[
                    "name"=>"Бизнес концепт"
                ],
                "data-13"=>[
                    "name"=>"Руководство по ведению бизнеса"
                ],
                "data-14"=>[
                    "name"=>"Руководство управления франчайзинговой сетью"
                ],
                "data-15"=>[
                    "name"=>"Настройка CRM системы для франшизы (базовая)"
                ],
                "data-16"=>[
                    "name"=>"Персональное сопровождение менеджером"
                ],
                "data-17"=>[
                    "name"=>"Техническая поддержка в течение 12 месяцев"
                ]
            ])
        ]);


        $service = Service::create([
            'type' => 3,
            'name' => 'scaleUp',
            'price'=> '1500000',
            'work' => '15',
            "data"=>json_encode([
                "data-1"=>[
                    "name"=>"Лицензионный договор"
                ],
                "data-2"=>[
                    "name"=>"3 положения"
                ],
                "data-3"=>[
                    "name"=>"Патент на защиту франшизы"
                ],
                "data-4"=>[
                    "name"=>"Продвижение франшизы",
                    "sub_data"=>["Гайд-бук по продвижению франшизы","Домен","Landing Page по продаже франшиз","Презентация франшизы","3 поста инстаграм"]
                ],
                "data-5"=>[
                    "name"=>"Финансовая стратегия",
                    "sub_data"=>["Финансовый план","Резюме к финансовому плану"]
                ],
                 "data-6"=>[
                    "name"=>"Технический регламент запуска франшизы"
                ],
                 "data-7"=>[
                    "name"=>"Бизнес концепт"
                ],
                 "data-8"=>[
                    "name"=>"Руководство по ведению бизнеса"
                ],
                 "data-9"=>[
                    "name"=>"Руководство управления франчайзинговой сетью"
                ],
                 "data-10"=>[
                    "name"=>"Техническая поддержка в течение 6 месяцев"
                ]
            ])
        ]);
        

        $service = Service::create(['type'=>-1,'name'=>'Не выбрано','price'=>-1,'work'=>-1,'data'=>'-1']);
    }
}
